import { ReactNode } from 'react';
import { Shop, Cart, Client as ClientType } from './utils/types';
declare type CommerceProps = {
    children?: ReactNode;
    config: CommerceConfig;
};
declare type CommerceConfig = {
    token: string;
    domain: string;
    currencyCode: string;
};
declare type CommerceContextValue = {
    token: string;
    domain: string;
    client?: ClientType;
    shop: Shop;
    checkout: Cart;
    currencyCode: string;
    updateCheckout: (cart: Cart | undefined) => void;
};
export declare function CommerceProvider({ children, config }: CommerceProps): JSX.Element;
export declare function useCommerce<T extends CommerceContextValue>(): T;
export {};
