import { Product as BaseProduct, ProductVariant as BaseProductVariant, Cart as BaseCart, CheckoutResource as BaseCheckoutResource, AttributeInput, Client as BaseClient, Shop as BaseShop } from 'shopify-buy';
export declare type SelectedOptions = {
    id: string;
    name: string;
    value: string;
};
export declare type PresentmentPrice = {
    price: PriceV2;
};
export declare type ProductVariant = BaseProductVariant & {
    selectedOptions: Array<SelectedOptions>;
    presentmentPrices: Array<PresentmentPrice>;
};
export declare type Product = BaseProduct & {
    handle: string;
    descriptionHtml: string;
    variants: Array<ProductVariant>;
};
export declare type PriceV2 = {
    amount: number;
    currencyCode: string;
};
export declare type Cart = BaseCart & {
    webUrl?: string;
    currencyCode?: string;
    lineItemsSubtotalPrice?: PriceV2;
    totalPriceV2?: PriceV2;
};
export declare type Shop = BaseShop & {
    currencyCode?: string;
};
export declare type Create = {
    presentmentCurrencyCode?: string;
};
export declare type CheckoutResource = BaseCheckoutResource & {
    updateLineItems(checkoutId: string | number, lineItems: AttributeInput[]): Promise<Cart>;
    create: (input: Create) => Promise<Cart>;
};
export declare type Client = BaseClient & {
    checkout: CheckoutResource;
};
export declare type Page = {
    id: string;
    title: string;
    handle: string;
    body: string;
    bodySummary: string;
    url: string;
};
export declare type PageEdge = {
    node: Page;
};
